// Edgardo Molina
// File: ImagePanel.h



#ifndef IMAGEPANEL_H
#define IMAGEPANEL_H

#include <QtGui>

// Inheritance
class ImagePanel : public QWidget {
 public:
  ImagePanel(QWidget* parent=0, Qt::WFlags f=0);
  ~ImagePanel();
  
  void reset();
  void show(QImage*);
  
 protected:
  void paintEvent(QPaintEvent*); // Implement this event, it is virtual in QWidget
  
 private:
  QPixmap _pix;
  
};

#endif
